New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Check content scripts code for the LastPass vulnerability #625

Closed
ameshkov opened this Issue Apr 2, 2017 · 0 comments

Comments

Projects
None yet
2 participants
@ameshkov
Member

ameshkov commented Apr 2, 2017

Here are the details on the issue:
https://bugs.chromium.org/p/project-zero/issues/detail?id=1225

I wonder, could it be an issue for us?

From taviso comment:

I found the top ten popular extensions on the chrome web store this morning from an internal dashboard.

Many extensions do make this mistake, but none struck me as security issues that needed to be formally disclosed. Many allow untrusted web pages to disrupt an extension's operation or make it display garbage or throw an exception, but I do not consider that a security issue.

I cannot reasonably go through all extensions though, so hopefully authors will see this announcement and check their own code.

@ameshkov ameshkov added this to the 3.0 milestone Apr 2, 2017

@ameshkov ameshkov modified the milestones: 2.6, 3.0 Apr 2, 2017

atropnikov added a commit that referenced this issue Apr 4, 2017

atropnikov added a commit that referenced this issue Apr 5, 2017

Merge pull request #632 from AdguardTeam/feature/issues/625
Check content scripts code for the LastPass vulnerability #625

@atropnikov atropnikov closed this Apr 5, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment